EDIT - bug #9702

TypeDesignationSetManager repeats specimen string for specimens without field unit
07/08/2021 10:31 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.25

Severity: major Found in Version:

Description

If the type specimen only has a protected titleCache the specimen string is repeated 2x.

E.g. Prionus coriatius L. — Type: Mexico. Oaxaca: Coixtlahuaca, Tepelmeme Villa de Morelos, aproximadamente 1 km S del Rio
Santa Lucia, 1285 m, 27 March 1994, U. Guzman Cruz 1065 (MEXU 280206) (neotype: Mexico. Oaxaca: Coixtlahuaca, Tepelmeme
Villa de Morelos, aproximadamente 1 km S del Rio Santa Lucia, 1285 m, 27 March 1994, U. Guzman Cruz 1065 (MEXU 280206)
designated by The book of types: 55)

Related issues:
Related to EDIT - feature request #9596: Open issues for TypeDesignationWorki... In Progress
Related to EDIT - bug #9703: Improve handling of type designations with no st... Resolved

Associated revisions

Revision 2d35¢c9d9 - 07/08/2021 12:47 PM - Andreas Miiller
ref #9702 add factory method for Collection

Revision 81de71a6 - 07/08/2021 12:49 PM - Andreas Miiller

fix #9702 handle specimen without field unit correctly in TypeDesignationSetManager

History

#1 - 07/08/2021 10:32 AM - Andreas Miiller
- Related to feature request #9279: Improve type designation formatting and TypeDesignationSetManager added

#2 - 07/08/2021 10:47 AM - Andreas Miiller
- Related to feature request #9596: Open issues for TypeDesignationWorkingSet added

#3 - 07/08/2021 10:48 AM - Andreas Miiller
- Related to deleted (feature request #9279: Improve type designation formatting and TypeDesignationSetManager)

#4 - 07/08/2021 12:46 PM - Andreas Miiller

- Subject changed from TypeDesignationManager repeats specimen string for non-atomized specimen to TypeDesignationManager repeats specimen
string for specimens without field unit

#5 - 07/08/2021 12:49 PM - Andreas Miuller

- Subject changed from TypeDesignationManager repeats specimen string for specimens without field unit to TypeDesignationSetManager repeats
specimen string for specimens without field unit

#6 - 07/08/2021 12:49 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|81de71a63d3ccf4f0ecfe9bal1981b1df86bd5678.

#7 - 07/08/2021 12:50 PM - Andreas Miiller
- Category changed from cdmlib to devOps
- Assignee deleted (Andreas Miiller)
- Target version deleted (Release 5.25)

- Severity changed from normal to blocker

please review

#8 - 07/08/2021 12:51 PM - Andreas Miiller
- Category changed from devOps to cdmlib
- Assignee set to Katja Luther

- Target version set to Release 5.25

- Severity changed from blocker to major

#9 - 07/08/2021 01:34 PM - Katja Luther

- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 100

this works as expected now.

#10 - 07/09/2021 09:33 PM - Andreas Miiller

- Related to bug #9703: Improve handling of type designations with no status in TypeDesignationSetManager added
